# $Id: ipmasqadm-0.4.spec,v 1.1 1998/08/29 00:07:53 jjo Exp jjo $
Summary: ipmasqadm utility
Name: ipmasqadm
%define version 0.4.1
Version: %{version}
Release: 3
Packager: Juan Jose Ciarlante <irriga@impsat1.com.ar>
Copyright: distributable
Group: Networking/Admin
Source: http://juanjox.home.ml.org/ipmasqadm-%{version}.tar.gz
Patch: ipmasqadm-0.4.1-megaloman.patch
BuildRoot: /tmp/ipmasqadm-root

%description
This tool allows ipmasq addtional setup, it is needed if you 
want to activate port forwarding or auto forwarding in 2.1 kernels.

This version is for 2.1.120+ kernels

%prep
%setup
%patch -p1

%ifarch axp
%endif

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" KSRC=/usr/src/linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/lib/ipmasqadm
chmod 700 $RPM_BUILD_ROOT/usr/lib/ipmasqadm
make DESTDIR=$RPM_BUILD_ROOT install

chmod 755 $RPM_BUILD_ROOT/usr/sbin/ipmasqadm
strip $RPM_BUILD_ROOT/usr/sbin/ipmasqadm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* ChangeLog
/usr/sbin/ipmasqadm
/usr/lib/ipmasqadm

%changelog
* Thu Apr 15 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (%defattr, makefile patch)

* Tue Dec  8 1998 Chih-Wei Huang <cwhuang@cle.linux.org.tw>
- Build on alpha arch. Add KSRC to make.
